executable = super_pang_clone
source = source/*.cpp

windows:
	g++ $(source) -std=c++11 -Wall -O2 -lmingw32 -lSDL2main -lSDL2 -ffunction-sections -fdata-sections -Wl,--gc-sections -static-libstdc++ -Wl,-subsystem,windows -o $(executable).exe
	strip -s -R .comment -R .gnu.version $(executable).exe --strip-unneeded
macos:
	g++ $(source) -std=c++11 -Wall -O2 -lSDL2 -ffunction-sections -fdata-sections -o $(executable)_macos
linux:
	g++ $(source) -std=c++11 -Wall -Os -lSDL2 -ffunction-sections -fdata-sections -Wl,--gc-sections -o $(executable)_linux
	strip -s -R .comment -R .gnu.version $(executable)_linux --strip-unneeded